# ogVESAInfo Struct Reference

`#include <ogDisplay_UbixOS.h>`

## Public Member Functions

uInt8 paddington[474] | __attribute__ ((packed))
uInt32 OEMProductRevPtr | __attribute__ ((packed))
uInt32 OEMProductNamePtr | __attribute__ ((packed))
uInt32 OEMVendorNamePtr | __attribute__ ((packed))
uInt16 OEMSoftwareRev | __attribute__ ((packed))
uInt16 totalMemory | __attribute__ ((packed))
uInt32 videoModePtr | __attribute__ ((packed))
uInt32 capabilities | __attribute__ ((packed))
uInt32 OEMStringPtr | __attribute__ ((packed))
uInt8 majVersion | __attribute__ ((packed))
uInt8 minVersion | __attribute__ ((packed))
char VBESignature[4] | __attribute__ ((packed))

## Detailed Description

Definition at line 44 of file ogDisplay_UbixOS.h.

## Member Function Documentation

uInt8 paddington [474] ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

uInt32 OEMProductRevPtr ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

uInt32 OEMProductNamePtr ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

uInt32 OEMVendorNamePtr ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

uInt16 OEMSoftwareRev ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

uInt16 totalMemory ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

uInt32 videoModePtr ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

uInt32 capabilities ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

uInt32 OEMStringPtr ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 majVersion ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 minVersion ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

char VBESignature [4] ogVESAInfo::__attribute__ | ( | (packed) |  | ) |

The documentation for this struct was generated from the following file:

- src/sys/include/sde/ogDisplay_UbixOS.h